Skip to navigation

Get export snapshot by ID

Retrieve information about an export file by export ID for a specific project.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

export_pkintegerRequired
Primary key identifying the export file.
idintegerRequired
A unique integer value identifying this project.

Response

created_atdatetimeRead-only
Creation time
idintegerRead-only
converted_formatslist of objectsOptional
countersanyOptional
created_byobjectOptional
A ModelSerializer that takes additional arguments for "fields", "omit" and "expand" in order to control which fields are displayed, and whether to replace simple values with complex, nested serializations
finished_atdatetime or nullOptional
Complete or fail time
md5stringOptional<=128 characters
statusenumOptional
  • created - Created
  • in_progress - In progress
  • failed - Failed
  • completed - Completed
Allowed values:
titlestringOptional<=2048 characters